Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 631474

Summary: net-analyzer/argus-3.0.8.2 : argus_util.c:55:23: fatal error: rpc/types.h: No such file or directory
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Gentoo Netmon project <netmon>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=653822
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 381391    
Attachments: emerge-info.txt
emerge-history.txt
environment
etc.portage.tbz2
logs.tbz2
net-analyzer:argus-3.0.8.2:20170919-203852.log
temp.tbz2
patch, use "git am" to apply

Description Toralf Förster gentoo-dev 2017-09-20 07:45:45 UTC
make[1]: Entering directory '/var/tmp/portage/net-analyzer/argus-3.0.8.2/work/argus-3.0.8.2/common'
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -Wall -Wl,-O1 -Wl,--as-needed -I. -I/usr/include -I./../include  -I./../argus -DHAVE_CONFIG_H -c argus_util.c
argus_util.c:55:23: fatal error: rpc/types.h: No such file or directory
 #include <rpc/types.h>
                       ^
compilation terminated.

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 13.0-desktop_20170905-225247

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.4.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)
  [4]   pypy3 (fallback)
  [5]   jython2.7 (fallback)
Available Ruby profiles:
  [1]   ruby22 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.5.1 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv net-analyzer/argus
[ebuild  N    ] net-analyzer/argus-3.0.8.2  USE="tcpd -debug -sasl"
Comment 1 Toralf Förster gentoo-dev 2017-09-20 07:45:48 UTC
Created attachment 495506 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-09-20 07:45:52 UTC
Created attachment 495508 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2017-09-20 07:45:55 UTC
Created attachment 495510 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2017-09-20 07:45:58 UTC
Created attachment 495512 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2017-09-20 07:46:01 UTC
Created attachment 495514 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-09-20 07:46:04 UTC
Created attachment 495516 [details]
net-analyzer:argus-3.0.8.2:20170919-203852.log
Comment 7 Toralf Förster gentoo-dev 2017-09-20 07:46:08 UTC
Created attachment 495518 [details]
temp.tbz2
Comment 8 Andreas K. Hüttel archtester gentoo-dev 2017-09-25 10:42:50 UTC
Created attachment 496346 [details, diff]
patch, use "git am" to apply

Patch that adds a revbump for libtirpc support is attached. Please review and hopefully apply.
Comment 9 Larry the Git Cow gentoo-dev 2017-11-01 22:05:03 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c2585aef6d159695ac0a5dc600245507973e82ef

commit c2585aef6d159695ac0a5dc600245507973e82ef
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2017-09-25 10:38:37 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2017-11-01 22:04:47 +0000

    net-analyzer/argus: Add option to build against libtirpc for RPC support, bug 631474
    
    Closes: https://bugs.gentoo.org/631474
    Package-Manager: Portage-2.3.10, Repoman-2.3.3

 net-analyzer/argus/argus-3.0.8.2-r1.ebuild       | 86 ++++++++++++++++++++++++
 net-analyzer/argus/files/argus-3.0.8.2-rpc.patch | 47 +++++++++++++
 net-analyzer/argus/metadata.xml                  |  3 +
 3 files changed, 136 insertions(+)